www.cendio.com
Bug 5642 - Investigate how our HTML5 client works in Microsoft Edge
: Investigate how our HTML5 client works in Microsoft Edge
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.6.0
Assigned To:
:
:
:
: 5780
  Show dependency treegraph
 
Reported: 2015-09-15 12:49 by
Modified: 2016-04-12 10:23 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-09-15 12:49:08
Edge is the default browser on Windows 10 for both desktops and Windows
tablets/phones. Microsoft Edge is only available for Windows 10 and not earlier
Windows versions.
------- Comment #1 From cendio 2016-01-14 18:29:38 -------
Sometimes when terminating a session I get the "Failed to connect" message
instead of the standard "Server disconnected".

Probably related to the fix for comment #10 on bug 5603 (commit r30846).
------- Comment #2 From cendio 2016-01-14 18:30:58 -------
(In reply to comment #1)
> Sometimes when terminating a session I get the "Failed to connect" message
> instead of the standard "Server disconnected".
> 
> Probably related to the fix for comment #10 on bug 5603 (commit r30846).

See bug 5652. In edge it returns code 1005 instead of 1006 however.
------- Comment #3 From cendio 2016-01-25 17:30:41 -------
We have the same behavior here in Edge as seen in IE w.r.t the cursor. I have
added bug 5779 for this.
------- Comment #4 From cendio 2016-01-27 11:31:20 -------
Results of keyboard testing:

Windows 10 - Edge v25.10586.0.0
-------------------------------

* Right ctrl is sent as Control_L 

* Right shift is sent as Shift_L

* altgr is sent as (Control_L + Alt_L)

* ǔ, ũ, ç, ů doesn't work at all, probably side affect of windows sending
control+alt instead of altgr

* Keypad keys are sent as the normal counterpart, i.e. pressing 1 on the keypad
doesn't sent "KP_1", it sends "1"

* Keypad plus is sent as (Shift_L + plus), however only a keypress is sent for
the plus and a keyrelease for equal is sent..

* Keypad asterisk is sent as (Shift_L + asterisk), however only a keypress is
sent for the asterisk and a keyrelease for 8 is sent..

* Media keys are not sent into session

* Pause is not sent into session

* Print screen is not sent into session
------- Comment #5 From cendio 2016-01-27 12:21:48 -------
I have verified general functionality, performance and automatic resize.

The issues I have found are:
* Unexpected error codes at logout (bug 5652)
* No local cursor support (bug 5779)
* Some issues with the keyboard (bug 5135)

I consider this bug finished now.
------- Comment #6 From cendio 2016-02-01 12:16:58 -------
(In reply to comment #5)
> I have verified general functionality, performance and automatic resize.
> 
> The issues I have found are:
> * Unexpected error codes at logout (bug 5652)
> * No local cursor support (bug 5779)
> * Some issues with the keyboard (bug 5135)
> 
> I consider this bug finished now.

Were these bugs found on desktop, mobile, or both?

Are these bugs blockers for solving bug 5780? If so, they should be added as
dependencies for bug 5780.
------- Comment #7 From cendio 2016-02-01 12:53:15 -------
(In reply to comment #6)
> (In reply to comment #5)
> > I have verified general functionality, performance and automatic resize.
> > 
> > The issues I have found are:
> > * Unexpected error codes at logout (bug 5652)
> > * No local cursor support (bug 5779)
> > * Some issues with the keyboard (bug 5135)
> > 
> > I consider this bug finished now.
> 
> Were these bugs found on desktop, mobile, or both?

All of the testing was done on Windows 10 on a desktop. Since we currently
don't have access to any Windows phone or tablet the state of the HTML5 client
in Microsoft Edge on mobile is unknown.

> Are these bugs blockers for solving bug 5780? If so, they should be added as
> dependencies for bug 5780.

It was decided that the only bug that blocks 5780 is bug 5652. The dependency
was added when the latter bug was filed. Thus, implicitly bug 5779 and bug 5135
are not blockers for supporting Edge.
------- Comment #8 From cendio 2016-02-01 14:59:30 -------
(In reply to comment #7)
> > Were these bugs found on desktop, mobile, or both?
> 
> All of the testing was done on Windows 10 on a desktop. Since we currently
> don't have access to any Windows phone or tablet the state of the HTML5 client
> in Microsoft Edge on mobile is unknown.

Reopening so we can discuss this on Tuesdays developers meeting.
------- Comment #9 From cendio 2016-02-02 13:45:14 -------
(In reply to comment #8)
> Reopening so we can discuss this on Tuesdays developers meeting.

Bug 5787 was added for supporting Edge on mobile devices.
------- Comment #10 From cendio 2016-02-02 15:04:50 -------
Fine.